Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034863
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2017-01-09 10:002017-03-15 20:18
ReporterumartirenaView Statuspublic 
Assigned Toinigosanchez 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision8f8221fada5b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034863: "Your password has expired" message while logging in is not properly translated to the language of the application

Description"Your password has expired" message while logging in is not properly translated to the language of the application. While executing the login and checking if the users password is expired or not (DefaultAuthenticationManager.java), the session variable of the language is empty so it always uses English by default.
Steps To ReproduceSetup an environment with any translation apart from English (French i.e. as the required message is properly translated there).

Logging as "Openbravo" in the backoffice.
Go to users window, find any user and set the password as "Expired".
Set default language of the system any language different to English(French).
Logout and Logging with the new user.
The following message appears in English when it should be in the other language. "Your password has expired. Please provide a new one"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0031796 closedjonibc Extend functionality with the option to define a day limit for the password to be changed 

-  Notes
(0093270)
inigosanchez (developer)
2017-01-09 16:15

Testing issue with "Translation: Spanish-Spain (es_ES) español-España" module installed -> "Your password has expired" message should be translated properly.
(0093272)
hgbot (developer)
2017-01-09 17:22

Repository: erp/devel/pi
Changeset: 8f8221fada5b54564f985dc1fac546db818676a1
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Mon Jan 09 13:29:01 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8f8221fada5b54564f985dc1fac546db818676a1 [^]

Fixed issue 34863: message while logging in is not properly translated

While executing the login and checking if the users password is expired or not (DefaultAuthenticationManager.java), the session variable of the language is empty so it always uses English language by default. For this reason 'CPExpirationPassword' message was not properly translated.

In order to reach an homogeneous behaviour related with translations it has been added language in LoginHandler class. Now the problem has been fixed and message is translated properly.

---
M src/org/openbravo/base/secureApp/LoginHandler.java
---
(0093513)
alostale (developer)
2017-01-13 12:41

code reviewed

tested

- Defining a non English lang at system level, it correctly shows login page in that language as well as expired password message
- it's possible to correctly change session language
(0095071)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-01-09 10:00 umartirena New Issue
2017-01-09 10:00 umartirena Assigned To => platform
2017-01-09 10:00 umartirena Modules => Core
2017-01-09 10:00 umartirena Triggers an Emergency Pack => No
2017-01-09 12:15 inigosanchez Status new => scheduled
2017-01-09 12:15 inigosanchez Assigned To platform => inigosanchez
2017-01-09 12:59 alostale Relationship added related to 0031796
2017-01-09 13:00 alostale Type design defect => defect
2017-01-09 16:15 inigosanchez Note Added: 0093270
2017-01-09 17:19 inigosanchez Review Assigned To => alostale
2017-01-09 17:22 hgbot Checkin
2017-01-09 17:22 hgbot Note Added: 0093272
2017-01-09 17:22 hgbot Status scheduled => resolved
2017-01-09 17:22 hgbot Resolution open => fixed
2017-01-09 17:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8f8221fada5b54564f985dc1fac546db818676a1 [^]
2017-01-13 12:41 alostale Note Added: 0093513
2017-01-13 12:41 alostale Status resolved => closed
2017-01-13 12:41 alostale Fixed in Version => 3.0PR17Q2
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095071


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker